import { Group } from '../graphic/group';
import type { IGroupGraphicAttribute } from './../../vrender';
import { CheckBox } from './../../vrender';
import type { Icon, TextIcon } from '../graphic/icon';
interface ICellContentOption {
    autoWidth: boolean;
    autoHeight: boolean;
    cellWidth: number;
    cellHeight: number;
    align: CanvasTextAlign;
    baseline: CanvasTextBaseline;
}
export declare class CheckboxContent extends Group {
    _leftGroup: Group;
    _rightGroup: Group;
    _checkboxGroup: Group;
    _autoWidth: boolean;
    _autoHeight: boolean;
    _cellWidth: number;
    _originCellWidth: number;
    _cellHeight: number;
    _align: CanvasTextAlign;
    _baseline: CanvasTextBaseline;
    constructor(params: IGroupGraphicAttribute);
    addLeftOccupyingIcon(icon: Icon | TextIcon): void;
    addRightOccupyingIcon(icon: Icon | TextIcon): void;
    addCheckbox(checkbox: CheckBox): void;
    setCheckboxContentOption(option: ICellContentOption): void;
    layout(): void;
    updateCenterLayout(contentWidth: number): void;
    updateHorizontalPos(): void;
    updateVerticalPos(): void;
}
export {};
